<template>
  <fieldset>
    <TextInputFloatingLabel for="titleFilter" :text="t('title_filter_label')">
      <input
          type="text"
          id="titleFilter"
          name="titleFilter"
          :value="currentSettings.titleFilter"
          :placeholder="t('title_filter_placeholder')"
      />
    </TextInputFloatingLabel>

    <RangeInputLabel
        :value="currentSettings.dateFilter"
        :min="1"
        :max="30"
        :label="t('date_filter_label')"
        name="dateFilter"
    >
    </RangeInputLabel>
  </fieldset>
</template>

<script>
module.exports = {
  name: "calendar-upcoming-event",
  props: {
    currentSettings: {
      type: Object,
      required: true
    },
    locale: {
      type: String,
      required: true
    }
  },
  locales: {
    enGb: {
      title_filter_label: "Filter title by keyword",
      title_filter_placeholder:
          "enter term which the title should contain, e.g. meeting",
      date_filter_label: "Only include events that occur within the next n days"
    },
    deDe: {
      title_filter_label: "Titel nach Schlüsselwort filtern",
      title_filter_placeholder:
          "Geben Sie einen Begriff ein, den der Titel enthalten soll, z.B. Meeting",
      date_filter_label:
          "Berücksichtigt nur Termine, die innerhalb der nächsten n Tage auftreten"
    },
    frFr: {
      title_filter_label: "Filtrer le titre par mot-clé",
      title_filter_placeholder:
          "entrez le terme que le titre doit contenir, par exemple réunion",
      date_filter_label:
          "N'inclure que les événements qui se produisent dans les n jours suivants"
    },
    esEs: {
      title_filter_label: "Filtrar el título por palabra clave",
      title_filter_placeholder:
          "introducir el término que debe contener el título, por ejemplo, reunión",
      date_filter_label:
          "Incluya sólo los eventos que ocurran dentro de los próximos n días"
    },
    plPl: {
      title_filter_label: "Tytuł filtru według słowa kluczowego",
      title_filter_placeholder:
          "wpisać termin, który powinien znajdować się w tytule, np. spotkanie",
      date_filter_label:
          "Należy uwzględnić tylko zdarzenia, które wystąpią w ciągu następnych n dni."
    },
    koKr: {
      title_filter_label: "키워드로 제목 필터링",
      title_filter_placeholder:
          "제목에 포함되어야하는 용어를 입력하십시오 (예 : 모임",
      date_filter_label: "다음 n 일 이내에 발생하는 이벤트 만 포함"
    }
  }
};
</script>
